# Profiler

`paddle.v2.fluid.profiler.``cuda_profiler`(*args, **kwds)

  The CUDA profiler. This fuctions is used to profile CUDA program by CUDA runtime application programming interface. The profiling result will be written into output_file with Key-Value pair format or Comma separated values format. The user can set the output mode by output_mode argument and set the counters/options for profiling by config argument. The default config is [‘gpustarttimestamp’, ‘gpustarttimestamp’, ‘gridsize3d’, ‘threadblocksize’, ‘streamid’, ‘enableonstart 0’, ‘conckerneltrace’].

  Parameters:

  - output_file (string) – The output file name, the result will be written into this file.
  - output_mode (string) – The output mode has Key-Value pair format and Comma separated values format. It should be ‘kvp’ or ‘csv’.
  - config (string) – The profiler options and counters can refer to “Compute Command Line Profiler User Guide”.